Skip to main content
Get the Job Architecture benchmark report
curl --request POST \
  --url https://{tenant_name}.{region}.techwolf.ai/reports/job_architecture_benchmark \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "job_columns": [
    {
      "column_name": "dim_column_name",
      "property_name": "dim_property_name"
    }
  ],
  "job_properties": [
    {
      "property_name": "fact_property_name"
    }
  ],
  "peer_group_columns": [
    {
      "column_name": "dim_column_name",
      "property_name": "dim_property_name"
    }
  ],
  "peer_group_properties": [
    {
      "property_name": "fact_property_name"
    }
  ]
}
'
"<string>"

Documentation Index

Fetch the complete documentation index at: https://developers.techwolf.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

force_recalculate
boolean
default:false

Reports are always stored for a certain time, and if this endpoint is called again within that time, the stored report is returned without recalculating. If force_recalculate is set to true, the report is recalculated and the stored report is overwritten.

Body

application/json

Options for the Job Architecture benchmark report.

job_columns
object[]
required

The Custom Property columns that will be included in the dim_job.csv file.

job_properties
object[]

The Custom Properties that will be included in the fact_job_property.csv file.

peer_group_columns
object[]

The Custom Property columns that will be included in the dim_peer_group.csv file. Currently has no effect!

peer_group_properties
object[]

The Custom Properties that will be included in the fact_peer_group_property.csv file. Currently has no effect!

Response

OK.

The response is of type file.